#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name: knob
version: 0.1.1
id: knob-0.1.1-LtuT8HtMVvKDK08pQbEL0Y
key: knob-0.1.1-LtuT8HtMVvKDK08pQbEL0Y
license: MIT
maintainer: John Millikin <jmillikin@gmail.com>
author: John Millikin <jmillikin@gmail.com>
stability: experimental
homepage: https://john-millikin.com/software/knob/
synopsis: Memory-backed handles
description:
    Create memory-backed '\''Handle'\''s, referencing virtual files. This is
    mostly useful for testing '\''Handle'\''-based APIs without having to
    interact with the filesystem.
    .
    > import Data.ByteString (pack)
    > import Data.Knob
    > import System.IO
    >
    > main = do
    >     knob <- newKnob (pack [])
    >     h <- newFileHandle knob "test.txt" WriteMode
    >     hPutStrLn h "Hello world!"
    >     hClose h
    >     bytes <- Data.Knob.getContents knob
    >     putStrLn ("Wrote bytes: " ++ show bytes)
category: System
abi: f2519f689e859ecc841e5c8e3b38a977
exposed: True
exposed-modules:
    Data.Knob
import-dirs: /usr/lib/ghc-8.6.2/site-local/knob-0.1.1
library-dirs: /usr/lib/ghc-8.6.2/site-local/knob-0.1.1
dynamic-library-dirs: /usr/lib
data-dir: /usr/share/x86_64-linux-ghc-8.6.2/knob-0.1.1
hs-libraries: HSknob-0.1.1-LtuT8HtMVvKDK08pQbEL0Y
depends:
    base-4.12.0.0 bytestring-0.10.8.2 transformers-0.5.5.0
haddock-interfaces: /usr/share/doc/haskell-knob/html/knob.haddock
haddock-html: /usr/share/doc/haskell-knob/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

